#
# spec file for package python3-chardet2
#
# Copyright (c) 2016 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

Name:           python3-chardet2
Version:        2.0.3
Release:        5.6
Summary:        Character encoding auto-detection in Python 3
License:        LGPL-2.1+
Group:          Development/Languages/Python
Url:            https://github.com/byroot/chardet
Source:         https://files.pythonhosted.org/packages/source/c/chardet2/chardet2-%{version}.tar.gz
BuildRequires:  python3-devel
BuildRequires:  python3-setuptools
Conflicts:      python3-chardet
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildArch:      noarch

%description

Character encoding auto-detection in Python 3
-------------------------------------

Detects
 - ASCII, UTF-8, UTF-16 (2 variants), UTF-32 (4 variants)
 - Big5, GB2312, EUC-TW, HZ-GB-2312, ISO-2022-CN (Traditional and Simplified Chinese)
 - EUC-JP, SHIFT_JIS, ISO-2022-JP (Japanese)
 - EUC-KR, ISO-2022-KR (Korean)
 - KOI8-R, MacCyrillic, IBM855, IBM866, ISO-8859-5, windows-1251 (Cyrillic)
 - ISO-8859-2, windows-1250 (Hungarian)
 - ISO-8859-5, windows-1251 (Bulgarian)
 - windows-1252 (English)
 - ISO-8859-7, windows-1253 (Greek)
 - ISO-8859-8, windows-1255 (Visual and Logical Hebrew)
 - TIS-620 (Thai)

Requires Python 3.0 or later

Command-line Tool
-----------------

chardet comes with a command-line script which reports on the encodings of one
or more files::

 chardet2 <filename>

%prep
%setup -q -n chardet2-%{version}

%build
python3 setup.py build

%install
python3 setup.py install --prefix=%{_prefix} --root=%{buildroot}

%files
%defattr(-,root,root,-)
%{python3_sitelib}/*
%{_bindir}/chardet2

%changelog
* Sun May  8 2016 arun@gmx.de
- specfile:
  * updated source url to files.pythonhosted.org
* Mon Apr  4 2016 toddrme2178@gmail.com
- Add conflicts with python3-chardet
* Sat Jan 10 2015 arun@gmx.de
- specfile:
  * update copyright year
  * remove ifs for opensuse version <=1220
* Wed Oct 23 2013 toddrme2178@gmail.com
- Add BuildRequires: python3 for openSUSE 12.2, so hashlib is
  available.
* Thu Sep 26 2013 p.drouand@gmail.com
- Initial release
